My Project: dgDeformableContact Class Reference

My Project

Public Member Functions | List of all members
dgDeformableContact Class Reference

`#include <dgDeformableContact.h>`

Inheritance diagram for dgDeformableContact:

## Public Member Functions

| dgDeformableContact (dgWorld *const world, const dgContactMaterial *const material)
virtual | ~dgDeformableContact ()
virtual bool | IsDeformable () const
virtual void | GetInfo (dgConstraintInfo *const info) const
Public Member Functions inherited from dgContact
dgFloat32 | GetClosestDistance () const
dgFloat32 | GetTimeOfImpact () const
void | SetTimeOfImpact (dgFloat32 timetoImpact)
const dgContactMaterial * | GetMaterial () const
Public Member Functions inherited from dgConstraint
dgUnsigned32 | GetId () const
dgBody * | GetBody0 () const
dgBody * | GetBody1 () const
void | SetBodies (dgBody *const body0, dgBody *const body1)
dgBodyMasterListRow::dgListNode * | GetLink0 () const
dgBodyMasterListRow::dgListNode * | GetLink1 () const
void * | GetUserData () const
bool | IsActive () const
bool | IsCollidable () const
dgInt32 | GetMaxDOF () const
void | SetUserData (void *userData)
void | SetCollidable (bool state)
virtual dgFloat32 | GetStiffness () const
virtual void | SetStiffness (dgFloat32 stiffness)
Public Member Functions inherited from dgList< dgContactMaterial >
| dgList (dgMemoryAllocator *const allocator)
virtual | ~dgList ()
dgMemoryAllocator * | GetAllocator () const
void | SetAllocator (dgMemoryAllocator *const allocator)
| operator dgInt32 () const
dgInt32 | GetCount () const
dgListNode * | GetLast () const
dgListNode * | GetFirst () const
dgListNode * | Append ()
dgListNode * | Append (dgListNode *const node)
dgListNode * | Append (const dgContactMaterial &element)
dgListNode * | Addtop ()
dgListNode * | Addtop (dgListNode *const node)
dgListNode * | Addtop (const dgContactMaterial &element)
void | RotateToEnd (dgListNode *const node)
void | RotateToBegin (dgListNode *const node)
void | InsertAfter (dgListNode *const root, dgListNode *const node)
void | InsertBefore (dgListNode *const root, dgListNode *const node)
dgListNode * | Find (const dgContactMaterial &element) const
dgListNode * | GetNodeFromInfo (dgContactMaterial &m_info) const
void | Remove (dgListNode *const node)
void | Remove (const dgContactMaterial &element)
void | RemoveAll ()
void | Merge (dgList< dgContactMaterial > &list)
void | Unlink (dgListNode *const node)
bool | SanityCheck () const

## Additional Inherited Members

Public Types inherited from dgConstraint
enum | dgConstraintID { m_ballConstraint, m_hingeConstraint, m_sliderConstraint, m_contactConstraint, m_upVectorConstraint, m_universalConstraint, m_corkScrewConstraint, m_unknownConstraint }
Protected Member Functions inherited from dgContact
| dgContact (dgWorld *const world, const dgContactMaterial *const material)
virtual | ~dgContact ()
virtual void | ResetMaxDOF ()
virtual dgUnsigned32 | JacobianDerivative (dgContraintDescritor &params)
virtual void | JointAccelerations (dgJointAccelerationDecriptor *const params)
virtual void | JointVelocityCorrection (dgJointAccelerationDecriptor *const params)
virtual void | SetDestructorCallback (OnConstraintDestroy destructor)
void | JacobianContactDerivative (dgContraintDescritor &params, const dgContactMaterial &contact, dgInt32 normalIndex, dgInt32 &frictionIndex)
void | CalculatePointDerivative (dgInt32 index, dgContraintDescritor &desc, const dgVector &dir, const dgPointParam &param) const
void | AppendToActiveList ()
void | SwapBodies ()
Protected Member Functions inherited from dgConstraint
| dgConstraint ()
virtual | ~dgConstraint ()
virtual bool | IsBilateral () const
void | SetUpdateFeedbackFunction (ConstraintsForceFeeback function)
void | InitPointParam (dgPointParam &param, dgFloat32 stiffness, const dgVector &p0Global, const dgVector &p1Global) const
void | InitInfo (dgConstraintInfo *const info) const
Protected Attributes inherited from dgContact
dgVector | m_positAcc
dgQuaternion | m_rotationAcc
dgVector | m_separtingVector
dgFloat32 | m_closestDistance
dgFloat32 | m_timeOfImpact
dgWorld * | m_world
const dgContactMaterial * | m_material
dgActiveContacts::dgListNode * | m_contactNode
dgUnsigned32 | m_broadphaseLru
dgUnsigned32 | m_isNewContact: 1
Protected Attributes inherited from dgConstraint
void * | m_userData
dgBody * | m_body0
dgBody * | m_body1
dgBodyMasterListRow::dgListNode * | m_link0
dgBodyMasterListRow::dgListNode * | m_link1
ConstraintsForceFeeback | m_updaFeedbackCallback
dgUnsigned32 | m_dynamicsLru
dgUnsigned32 | m_index
dgUnsigned32 | m_maxDOF: 6
dgUnsigned32 | m_constId: 6
dgUnsigned32 | m_enableCollision: 1
dgUnsigned32 | m_useExactSolver: 1
dgUnsigned32 | m_solverActive: 1
dgUnsigned32 | m_contactActive: 1

## Constructor & Destructor Documentation

## § dgDeformableContact()

dgDeformableContact::dgDeformableContact | ( | dgWorld *const | world,
|  | const dgContactMaterial *const | material
| ) |  |

## § ~dgDeformableContact()

dgDeformableContact::~dgDeformableContact | ( |  | ) |

virtual

## Member Function Documentation

## § GetInfo()

void dgDeformableContact::GetInfo | ( | dgConstraintInfo *const | info | ) | const

virtual

Reimplemented from dgContact.

## § IsDeformable()

bool dgDeformableContact::IsDeformable | ( |  | ) | const

inlinevirtual

Reimplemented from dgContact.

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/physics/dgDeformableContact.h
- dynamics.mod/NewtonDynamics/source/physics/dgDeformableContact.cpp